net.sf.jasperreports.export

## Interface TextReportConfiguration

- All Superinterfaces:
    CommonExportConfiguration, ReportExportConfiguration
  All Known Implementing Classes:
    SimpleTextReportConfiguration

      public interface TextReportConfiguration
      extends ReportExportConfiguration

  Interface containing settings used by the pure text exporter.
  Version:
    $Id: TextExporterConfiguration.java 6749 2013-11-19 12:31:02Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRTextExporter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CHARACTER_HEIGHT` Property whose value is used as default state of the `getCharHeight()` export configuration setting.
    `static java.lang.String` | `PROPERTY_CHARACTER_WIDTH` Property whose value is used as default state of the `getCharWidth()` export configuration setting.
    `static java.lang.String` | `PROPERTY_PAGE_HEIGHT` Property whose value is used as default state of the `getPageHeightInChars()` export configuration setting.
    `static java.lang.String` | `PROPERTY_PAGE_WIDTH` Property whose value is used as default state of the `getPageWidthInChars()` export configuration setting.

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Float` | `getCharHeight()` Returns a float value representing the pixel/character vertical ratio.
    `java.lang.Float` | `getCharWidth()` Returns a float value representing the pixel/character horizontal ratio.
    `java.lang.Integer` | `getPageHeightInChars()` Returns an integer representing the page height in characters.
    `java.lang.Integer` | `getPageWidthInChars()` Returns an integer representing the page width in characters.

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Field Detail

    - #### PROPERTY_CHARACTER_WIDTH

          static final java.lang.String PROPERTY_CHARACTER_WIDTH

      Property whose value is used as default state of the `getCharWidth()` export configuration setting.

      This property is not set by default.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_CHARACTER_HEIGHT

          static final java.lang.String PROPERTY_CHARACTER_HEIGHT

      Property whose value is used as default state of the `getCharHeight()` export configuration setting.

      This property is not set by default.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_PAGE_WIDTH

          static final java.lang.String PROPERTY_PAGE_WIDTH

      Property whose value is used as default state of the `getPageWidthInChars()` export configuration setting.

      This property is not set by default.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_PAGE_HEIGHT

          static final java.lang.String PROPERTY_PAGE_HEIGHT

      Property whose value is used as default state of the `getPageHeightInChars()` export configuration setting.

      This property is not set by default.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

  - ### Method Detail

    - #### getCharWidth

          java.lang.Float getCharWidth()

      Returns a float value representing the pixel/character horizontal ratio.
      See Also:
        `PROPERTY_CHARACTER_WIDTH`

    - #### getCharHeight

          java.lang.Float getCharHeight()

      Returns a float value representing the pixel/character vertical ratio.
      See Also:
        `PROPERTY_CHARACTER_HEIGHT`

    - #### getPageWidthInChars

          java.lang.Integer getPageWidthInChars()

      Returns an integer representing the page width in characters.
      See Also:
        `PROPERTY_PAGE_WIDTH`

    - #### getPageHeightInChars

          java.lang.Integer getPageHeightInChars()

      Returns an integer representing the page height in characters.
      See Also:
        `PROPERTY_PAGE_HEIGHT`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com